Limerence
Runs

Chat With Space

Chat with a specific Space

POST
/runs/{spaceId}

Chat with a specific Space

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

spaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/runs/string" \  -H "Content-Type: application/json" \  -d '{    "chatId": "string",    "message": {      "id": "string",      "property1": null,      "property2": null    },    "trigger": "submit-message"  }'
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "chat/stream-not-found",    "detail": "string"  },  "message": "Stream not found"}
{  "cause": {    "code": "chat/space-mismatch",    "detail": "string"  },  "message": "Chat belongs to another Space"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}